get
https://api.staging.bancocdc.com.br/detailed-transaction/boleto/
Route to retrieve a detailed Boleto Receipt using it's end to end code or transaction code
Response Parameters
| Parameters | Format | Description |
|---|---|---|
| return | boolean | Response status ( true / false ) |
| message | String | Response message |
| data | Object | Response data |
| code | String | Transaction code |
| e2e | String | End to end from the transaction |
| transaction_type | String | Transaction type |
| code_transaction_type | String | Code transaction type |
| transaction_status | String | Transaction status |
| code_transaction_status | String | Code transaction status |
| amount | String | Transaction amount |
| created_at | String | Created at |
| billet_data | Object | Data boleto |
| digitable_line | String | line digitable boleto |
| issuer | String | Issuer boleto |
| payee_document | String | Payee document boleto |
| payee | String | Payee name boleto |
| payer_document | String | Payer document boleto |
| payer | String | Payer name boleto |
| end_hour | String | End hour payer boleto |
| start_hour | String | Start hour payer boleto |
| original_amount | Float | Original value boleto |
| discount_amount | Float | Discounts amount boleto |
| interest_amount | Float | Interest amount boleto |
| fine_amount | Float | Fine amount boleto |
| payment_amount | Float | Total amount boleto |
| payment_code | String | Payment code boleto |
| due_date | String | Due date boleto |
| external_code | String | External code boleto |
| settle_next | String | Settle next boleto |
| settle_date | String | Settle date boleto |
| receipt | String | Receipt boleto |
Transaction Type
| value | Description |
|---|---|
| 1 | PIX |
| 2 | TED |
| 3 | DOC |
| 4 | P2P |
| 5 | BOLETO |
| 6 | DEPOSIT BOLETO |
| 7 | CARD |
| 8 | REVERSAL |
| 14 | TAX |
Transaction Status Codes
| Code | Description |
|---|---|
| 1 | In Process |
| 2 | Approved |
| 3 | Canceled |
| 4 | Expired |
| 5 | Under Review |
| 6 | Pending |
| 7 | Sent For Refund |
| 8 | Refund Made |
| 9 | Paid |
| 10 | Created |
| 11 | Clearing |
| 12 | Consulted |
| 13 | Authorized |